#ifndef PIP_MatrixDrawHelper_H__
#define PIP_MatrixDrawHelper_H__

enum
{
    
    MATRIX_DRAW_HELP_SEG        = 1001,
    MATRIX_DRAW_HELP_RADIUS     = 1002,
    MATRIX_DRAW_HELP_COLOUR     = 1003,
    MATRIX_DRAW_INHERIT_COLOUR  = 1004,
    
    MATRIX_DRAW_MODE            = 1005,
    DRAW_MODE_CIRCLE            = 1006,
    DRAW_MODE_SQUARE            = 1007,
    DRAW_MODE_PLANE             = 1008,
    DRAW_MODE_DISC              = 1009,
    DRAW_MODE_BOX               = 1010,
    DRAW_MODE_SPHERE            = 1011,
    
    
    MDH_CIRCLE_RADIUS           = 1012,
    
    MDH_PLANE_WIDTH             = 1013,
    MDH_PLANE_HEIGHT            = 1014,
    
    MDH_SPHERE_RADIUS           = 1015,
    
    MDH_BOX_SIZE                = 1016,
    MDH_BOX_B_WIREFRAME         = 1017,
    
    MDH_RECTANGLE_WIDTH         = 1018,
    MDH_RECTANGLE_HEIGHT        = 1019,
    
    DRAW_MODE_AXIS              = 1020,
    
    MDH_AXIS_SIZE               = 1021,
    
    DRAW_MODE_LINE              = 1023,
    MDH_LINE_SIZE               = 1024,
    MDH_LINE_COLOUR_1           = 1025,
    MDH_LINE_COLOUR_2           = 1026,
    
    MDH_LINE_AXIS               = 1027,
    
    MDH_LINE_AXIS_X             = 1028,
    MDH_LINE_AXIS_Y             = 1029,
    MDH_LINE_AXIS_Z             = 1030,
    MDH_LINE_AXIS_XN            = 1031,
    MDH_LINE_AXIS_YN            = 1032,
    MDH_LINE_AXIS_ZN            = 1033,
    
    MDH_GENERATOR               = 1034,
    
    
    
    
    ID_MODE,
    ID_COLOUR,
    ID_PARAMATERS,
    ID_GENERATOR
};

#endif	// PIP_MatrixDrawHelper_H__
